package com.ims.eval.component;

import com.ims.eval.entity.DeptAssessmentDeclaration;
import com.ims.eval.service.IDeptAssessmentDeclarationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author hlf
 * @date 2023/8/9 9:28
 * 文件说明：流程脚本事件
 */
@Component
public class NextApproverImpl {

	@Autowired
	private IDeptAssessmentDeclarationService deptAssessmentDeclarationService;

	/**
	 * 申报等级有变化
	 *
	 * @return 结果
	 */
	public boolean submitTask1(String a1, String a2, String a3) {
		System.out.println("进入方法submitTask1----------------->" + "a1：" + a1 + "-----------a2：" + a2 + "-----------a3：" + a3);
		DeptAssessmentDeclaration deptAssessmentDeclaration = deptAssessmentDeclarationService.getById(a1);
		boolean flag = !deptAssessmentDeclaration.getDeclarationLevel().equals(deptAssessmentDeclaration.getRatingGrade());
		return flag;
	}

	/**
	 * 申报等级无变化
	 *
	 * @return 结果
	 */
	public boolean submitTask2(String a1, String a2, String a3) {
		System.out.println("进入方法submitTask2----------------->" + "a1：" + a1 + "-----------a2：" + a2 + "-----------a3：" + a3);
		DeptAssessmentDeclaration deptAssessmentDeclaration = deptAssessmentDeclarationService.getById(a1);
		boolean flag = deptAssessmentDeclaration.getDeclarationLevel().equals(deptAssessmentDeclaration.getRatingGrade());
		return flag;
	}
}
